Bug 2483 - lib/data_blob.c, line = 50: "char *" cannot be assigned to "unsigned char *"
Summary: lib/data_blob.c, line = 50: "char *" cannot be assigned to "unsigned char *"
Status: CLOSED FIXED
Alias: None
Product: Samba 3.0
Classification: Unclassified
Component: libsmbclient (show other bugs)
Version: 3.0.11
Hardware: SGI IRIX
: P3 normal
Target Milestone: none
Assignee: Samba Bugzilla Account
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-18 10:54 UTC by Jason Mader (mail bounces back)
Modified: 2005-08-24 10:18 UTC (History)
0 users

See Also:


Attachments
change the type in SMB_XMALLOC_ARRAY() (399 bytes, patch)
2005-03-18 10:58 UTC, Jason Mader (mail bounces back)
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader (mail bounces back) 2005-03-18 10:54:37 UTC
Compiling lib/data_blob.c
cc-1515 cc: WARNING File = lib/data_blob.c, Line = 50
  A value of type "char *" cannot be assigned to an entity of type
          "unsigned char *".

                ret.data = SMB_XMALLOC_ARRAY(char, length);
                         ^
Comment 1 Jason Mader (mail bounces back) 2005-03-18 10:58:14 UTC
Created attachment 1047 [details]
change the type in SMB_XMALLOC_ARRAY()

ret.data = SMB_XMALLOC_ARRAY(unsigned char, length);
Comment 2 Jeremy Allison 2005-03-19 13:53:11 UTC
Applied, thanks.
Jeremy.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:18:12 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.